Mac OS X 10.5 Leopard, de opvolger van Tiger, is sinds vrijdag verkrijgbaar. Waar Windows Vista veel kritiek te verduren heeft, is ook het zojuist uitgebrachte nieuwe besturingssysteem van Apple niet zonder kinderziektes.

Op het support-forum van Apple zijn sinds vrijdag duizenden reacties geplaatst. Opvallend veel mensen klagen dat ze het niet voor elkaar krijgen om hun Mac te upgraden naar Leopard. In bepaalde gevallen krijgt men na installatie een blauw scherm te zien, waarna de Mac stopt met reageren.

Apple schoof deze hete aardappel al snel door naar Unsanity, makers van APE, een application-enhancement framework voor Mac. Unsanity heeft inmiddels toegegeven dat een verouderde versie van APE het upgraden naar Leopard kan verstoren.

Andere Macgebruikers krijgen een foutmelding dat de installatie niet kan worden voltooid omdat een installatiefolder niet kan worden gevalideerd. Het maakt daarbij niet uit of het een upgrade of een verse installatie betreft.

De installatie kan daarna niet zomeer worden teruggedraaid, zodat men met een onbruikbaar systeem opgescheept zit. Een verse installatie van Mac OS X 10.4 (Tiger) is dan de enige remedie. Volgens Apple zouden de installatieproblemen aan een defecte dvd kunnen liggen en raden aan om deze om te ruilen.

Ook zijn er veel klachten over software die niet meer werkt na upgraden naar Leopard. Volgens Apple is dit echter op te lossen door deze software opnieuw te installeren.

Op het discussieforum van Apple zijn veel boze reacties te lezen van teleurgestelde Apple-gebruikers, die hun geld terugwillen. Leopard zou volgens hen nog niet voldoende getest zijn en te vroeg in de winkels liggen.

Java 1.6 werkt niet

Ook is bekend geworden dat Leopard niet compatibel blijkt met de laatste versie van Java, 1.6. Deze versie is al bijna een jaar beschikbaar. Niet Sun, maar Apple is zelf met de Java Development Kit (JDK) aan de slag gegaan, om zo maximale integratie met het nieuwe besturingssysteem te verkrijgen.

Cupertino is blijkbaar nog niet klaar met de ontwikkeling, alhoewel het de Java-gemeenschap niets heeft laten weten. Vooral ontwikkelaars zijn pissig, zij moeten nu terug naar Tiger (10.4).